Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(204)

Issue 2680883003: Temporarily re-introduce load-component-extension switch. (Closed)

Created:
3 years ago by samuong
Modified:
3 years ago
Reviewers:
SSChacon5994, Devlin
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org, catmullings
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Temporarily re-introduce load-component-extension switch. BUG=chromedriver:1625, 615096 Review-Url: https://codereview.chromium.org/2680883003 Cr-Commit-Position: refs/heads/master@{#450581} Committed: https://chromium.googlesource.com/chromium/src/+/5da9a9aed98a274658b923478a68968f348ec5b5

Patch Set 1 #

Patch Set 2 : --enable-chromedriver -> --enable-automation #

Total comments: 7

Patch Set 3 : address review comments #

Total comments: 4

Patch Set 4 : fix final review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+18 lines, -0 lines) Patch
M chrome/browser/extensions/extension_service.cc View 1 2 3 2 chunks +18 lines, -0 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 23 (11 generated)
samuong
This was split out of https://codereview.chromium.org/2564973002/ as requested.
3 years ago (2017-02-07 19:23:55 UTC) #2
SSChacon5994
lgtm
3 years ago (2017-02-13 23:35:13 UTC) #4
SSChacon5994
lgtm
3 years ago (2017-02-13 23:35:16 UTC) #5
samuong
I've updated this to use --enable-automation, since that's what we're calling the switch now. Devlin, ...
3 years ago (2017-02-14 00:23:01 UTC) #7
Devlin
+catmullings@ fyi. We should also link crbug.com/615096 to track this. https://codereview.chromium.org/2680883003/diff/20001/chrome/browser/extensions/extension_service.cc File chrome/browser/extensions/extension_service.cc (right): https://codereview.chromium.org/2680883003/diff/20001/chrome/browser/extensions/extension_service.cc#newcode445 ...
3 years ago (2017-02-14 20:44:41 UTC) #9
samuong
Thanks Devlin! I've included 615096 in the CL description. https://codereview.chromium.org/2680883003/diff/20001/chrome/browser/extensions/extension_service.cc File chrome/browser/extensions/extension_service.cc (right): https://codereview.chromium.org/2680883003/diff/20001/chrome/browser/extensions/extension_service.cc#newcode445 chrome/browser/extensions/extension_service.cc:445: ...
3 years ago (2017-02-14 21:22:49 UTC) #11
Devlin
lgtm; thanks Sam! https://codereview.chromium.org/2680883003/diff/40001/chrome/browser/extensions/extension_service.cc File chrome/browser/extensions/extension_service.cc (right): https://codereview.chromium.org/2680883003/diff/40001/chrome/browser/extensions/extension_service.cc#newcode140 chrome/browser/extensions/extension_service.cc:140: // Comma-separated list of directories with ...
3 years ago (2017-02-14 23:57:53 UTC) #12
samuong
https://codereview.chromium.org/2680883003/diff/40001/chrome/browser/extensions/extension_service.cc File chrome/browser/extensions/extension_service.cc (right): https://codereview.chromium.org/2680883003/diff/40001/chrome/browser/extensions/extension_service.cc#newcode140 chrome/browser/extensions/extension_service.cc:140: // Comma-separated list of directories with extensions to load. ...
3 years ago (2017-02-15 00:02:50 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2680883003/60001
3 years ago (2017-02-15 00:04:00 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/322042)
3 years ago (2017-02-15 03:22:19 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2680883003/60001
3 years ago (2017-02-15 04:35:05 UTC) #20
commit-bot: I haz the power
3 years ago (2017-02-15 06:09:18 UTC) #23
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/5da9a9aed98a274658b923478a68...

Powered by Google App Engine
This is Rietveld 408576698